KJL BUGS - Bug #2787

report absence recap dimana pada saat tampil di report , ada alpha 3 padahal si employee tersebut

tidak ada alpha nya.
06/07/2024 10:48 AM - Muhammad Bintar

Status: Closed

Priority: High

Assignee: shofwan shiddiq
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

06/07/2024
06/12/2024
0%

0.00 hour
2.00 hours

Description

dear tim developer mohon support nya untuk pengecekan pada report absence recap dimana pada saat tampil di report , ada alpha

3 padahal si employee tersebut tidak ada alpha nya.

dan ternyata, itu terjadi karena ada tuker hari kerja di tanggal 04,09,25 mei.
History

#1 - 06/10/2024 12:44 PM - shofwan shiddiq
- File clipboard-202406101241-m9Inb.png added
- File clipboard-202406101244-z9ks5.png added

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Dear Mas Bintar, sudah di buat data alpha bisa di ganti dengan hari masuk

SP: [CRPTTMREKAPABSENSI_LPPOM]

03/15/2025

1/3




@T. KJL Plastic Indonesia

B Organization Management

B Employee Administration

Time Data

Import Time Data

Export Time Data
Generate WS Calendar
Generate Absence Quota
View Personal WS

Generate Personal WS

Attendance Recap
Overtime Recap

Cuti

Attendance & Overtime Recap

Timesheet

B8 Payroll Administration

Search Q

= Human Resource

Help P minovais -

Absence Recap

HOME >

Employee ID

REPORT

23060009

Period Time 05-2024

W 4L ors b bl [Sdemafemar  vlewen
PT. KL Plastic Indonesia
kP REKAP ABSENSI
PERIOD : MAY 2024
Late Absence
NIK Nama Total Jumlah Total Durasi <10 =10 Cuti |ljin Sakit| Alpha |NotAbsentin| NotAbsent Early In

menit

Menit

Out

23060009

Eriansah

25

53:13

0

0

3

Untuk contoh employeee id 23060009,
dia tidak masuk di tanggal 04,09,25 pada flag WORK ( 3 Hari ), namun dia masuk di tanggal 1 ( 1 Hari) pada flag FREE, sehingga 1 hari masuk di
hari libur menggantikan di hari masuk.

DateSpecifi... WSStartTi... WSEndTi... 195tartTi... 19EndTi... Flag FlagAl
20240501 NULL NULL 0801 1645 F
20240502 0800 1100 0753 1732 WOR H
20240503 0800 1100 0759 1835 WORK H
20240504 0800 1400 e WORK  TA
20240505 NULL NULL FREE FR
20240506 0800 1100 0755 1810 WORK H
20240307 0800 1100 0753 1814 WORK H
20240508 0600 1100 0800 1700 WORK H
20240309 0800 1100 WORK  TA
20240510 0800 1100 0748 WORK TAP
20240511 0800 1400 0802 1348 WORK H
20240512 NULL NULL FREE FR
20240513 0800 1100 1504 WORK TAP
20240514 0800 1100 0757 1750 WORK H
20240515 0600 1100 0746 1851 WORK H
20240516 0800 1100 0753 1840 WORK H
20240517 0800 1100 0750 1812 WORK H
20240518 0800 1400 0752 1522 WORK H
20240519 NULL WULL FREE FR
20240520 0800 1100 0754 1830 WORK H
20240521 0800 1100 0743 1840 WORK H
20240522 0600 1100 0755 1917 WORK H
20240523 0800 1100 0752 1742 WORK H
20240524 0800 1100 0755 1826 WORK H
20240525 0800 1400 WORK  TA

Sehingga Alpha = ( 3 hari Absen) - ( 1 hari pengganti ) = 2 hari

#2 - 06/12/2024 02:27 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to High

Bintar,
pertukaran jadwal kerja ini, tidak dilakukan dgn melakukan pengupdatean personal WS ya oleh user HR?
Menurut saya jika PWS nya di update (tuker hari kerja), report bs menyesuaikan dgn day type nya kembali dan tidak terbaca sbg alpha.
Jadi report nya kalau bisa jangan di hardcode ya.

Tolong klarifikasinya atas hal ini, benar atau tidak kondisi data dan business proses yg seharusnya di KJL

Tks

#3 - 06/26/2024 10:16 AM - Muhammad Bintar
- Status changed from Assigned to Closed

- Assignee changed from Muhammad Bintar to shofwan shiddiq

Files

clipboard-202406071044-ctlrn.png 128 KB 06/07/2024 Muhammad Bintar

clipboard-202406101241-m9Inb.png 121 KB 06/10/2024 shofwan shiddiq
03/15/2025 3/3


http://www.tcpdf.org

